/*
 * Configurate the MX4cK for 80MHz clock and 10MHz peripherial bus
 * Can also enable the USB here
 *
 * Important:  Call this header only once in the main.  Modify and use MX4cKsettings.h to recall universial setting
 *
 * File:   MX4cKsetup.h
 * Author: MEGR304-E415
 *
 * Created on January 16, 2013, 11:58 AM
 */


#ifndef MX4CKSETUP_H

#define	MX4CKSETUP_H


// MX4 cK core setup

/* Core configuratin fuse settings */
#pragma config FNOSC = PRIPLL
#pragma config POSCMOD = EC
#pragma config FPLLIDIV = DIV_2
#pragma config FPLLMUL = MUL_20
#pragma config FPLLODIV = DIV_1
#pragma config FPBDIV = DIV_8

#pragma config FWDTEN = OFF
#pragma config CP = OFF
#pragma config BWP = OFF
#pragma config PWP = OFF

/* Additional config fuse settings for other supported processors */
//USB is ON
#define USE_USB
#ifdef USE_USB
#pragma config UPLLEN   = ON            // USB PLL Enabled
#pragma config UPLLIDIV = DIV_2         // USB PLL Input Divider
#pragma config OSCIOFNC = OFF           // CLKO Enable
#pragma config IESO     = OFF           // Internal/External Switch-over
#pragma config FSOSCEN  = OFF           // Secondary Oscillator Enable (KLO was off)
#pragma config ICESEL   = ICS_PGx2      // ICE/ICD Comm Channel Select
#endif




#endif	/* MX4CKSETUP_H */

